Package org.apache.sysds.runtime.controlprogram.parfor

## Class CachedReuseVariables

- java.lang.Object
- - org.apache.sysds.runtime.controlprogram.parfor.CachedReuseVariables

    public class CachedReuseVariables
    extends Object

### Constructor Summary

Constructors
`CachedReuseVariables()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `clearVariables​(long pfid)`
`boolean` `containsVars​(long pfid)`
`void` `reuseVariables​(long pfid, LocalVariableMap vars, Collection<String> excludeList, Map<String,​org.apache.spark.broadcast.Broadcast<CacheBlock>> _brInputs, boolean cleanCache)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CachedReuseVariables

    public CachedReuseVariables()

### Method Detail

#### containsVars

    public boolean containsVars​(long pfid)

#### reuseVariables

    public void reuseVariables​(long pfid,
                               LocalVariableMap vars,
                               Collection<String> excludeList,
                               Map<String,​org.apache.spark.broadcast.Broadcast<CacheBlock>> _brInputs,
                               boolean cleanCache)

#### clearVariables

    public void clearVariables​(long pfid)